################################
# Create / delete databases
################################

# create database "hello-world"
http put couch:5984/hello-world

# list dbs
http couch:5984/_all_dbs

# delete a database
http delete couch:5984/hello-world





################################
# Create / delete records
################################

# put a record
http put couch:5984/db
http post couch:5984/db foo=bar
http post couch:5984/db/ data={}

# put a record with named _id
http post couch:5984/db/ _id=noelle foo=bar

# retrieve named record
http couch:5984/db/noelle/

# add another record
http post couch:5984/db/ _id=another-noelle foo=bar
http couch:5984/db/another-noelle
http put couch:5984/db/another-noelle foo=baz _rev=REV

# retrieve all docs
http get couch:5984/db/_all_docs




################################
# Create / delete design docs
################################

# delete design doc first
http delete :5984/db/_design/phone

# push design docs
couchapp push http://couch:5984/people

# simple retrievals
http://couch:5984/people/_design/phone/_view/phone?startkey=["615"]&endkey=["615",{},{}]&include_docs=true

# grouping
http://couch:5984/people/_design/phone/_view/phone?startkey=["615"]&endkey=["615",{},{}]&group=true
http://couch:5984/people/_design/phone/_view/phone?startkey=["615"]&endkey=["615",{},{}]&group=true&group_level=1

# don't reduce
http://couch:5984/people/_design/phone/_view/phone?startkey=["615"]&endkey=["615",{},{}]&reduce=false











